@import '../variables';

#candidate-modal {
  background: white;
  position: absolute;
  width: 70%;
  top: 0;
  left: 0;
  min-height: 100%;
  padding: 5% 15%;
  @media #{$mq-phone} {
    width: 84%;
    overflow-x: hidden;
    line-height: 30px;
    padding: 8% 8%;
  }

  button {
    position: relative;
    z-index: 1;
    transition: 0.1s all ease-in-out;
    &:after {
      content: '';
      position: absolute;
      top: 50%;
      left: 50%;
      transform: translate(-50%, -50%);
      width: 110%;
      height: 110%;
      background: $grad1;
      opacity: 0.4;
      filter: blur(10px);
      border-radius: 1000px;
      z-index: -1;
    }

    &:hover {
      transform: scale(1.05);
    }
  }

  .candidate-modal-close {
    position: absolute;
    top: 1%;
    right: 1%;
    fill: url('#base-gradient');
    width: 80px;
    height: 80px;
    cursor: pointer;
    @media #{$mq-phone} {
      width: 60px;
      height: 60px;
      top: 1%;
      right: 2%;
    }
  }

  .candidate-modal-card {
    display: flex;
    img,
    svg {
      width: 250px;
      height: 250px;
      object-fit: cover;
      border-radius: 30px;
      @media #{$mq-phone} {
        width: 150px;
        height: 150px;
      }
    }
    @media #{$mq-phone} {
      flex-flow: column wrap;
    }

    .candidate-modal-img-placeholder {
      fill: $text;
    }

    .candidate-modal-card-col {
      margin-left: 50px;
      padding-top: 30px;
      @media #{$mq-phone} {
        margin-left: 0;
      }

      h3 {
        font-size: 2.3rem;
        font-weight: 600;
        text-transform: uppercase;
        color: $text;
        @media #{$mq-phone} {
          font-size: 1.4rem;
        }
      }

      .general-cta {
        margin-top: 30px;
        font-size: 1.2rem;
        padding-left: 25px;
        padding-right: 25px;
        @media #{$mq-phone} {
          margin-left: 50%;
          transform: translateX(-50%);
          width: 80%;
        }
      }
    }
  }

  .section-heading {
    font-size: 1.8rem;
    margin-top: 50px;
    margin-left: 0;
    margin-bottom: 20px;
    @media #{$mq-phone} {
      margin-top: 20px;
    }
  }

  .candidate-modal-description {
    font-size: 1.2rem;
    text-align: justify;
    @media #{$mq-phone} {
      line-height: 1.5rem;
    }
  }

  .react-pdf__Page__canvas {
    margin-left: 50%;
    transform: translateX(-50%);
  }

  .candidate-modal-essay-mobile {
    display: flex;
    align-items: center;

    .ionicon {
      fill: none;
      stroke: $gradient1;
      stroke-width: 40px;
      width: 30px;
      height: 30px;
      margin-right: 10px;
    }

    a {
      margin-bottom: 6px;
      font-style: italic;
      font-weight: 500;
      font-size: 1.5rem;
      @include gradient-text($grad1);
      text-decoration-color: $gradient1;
    }
  }

  .candidate-modal-cta-bottom {
    margin-left: 50%;
    transform: translateX(-50%);
    margin-top: 100px;
    white-space: nowrap;
    @media #{$mq-phone} {
      margin-top: 50px;
    }

    &:hover {
      transform: translateX(-50%) scale(1.05);
    }
  }

  .scrolltop {
    padding: 5px 30px 3px;
    position: absolute;
    bottom: 2%;
    right: 2%;
    background: $text;
    border-radius: 1000px;
    text-align: center;
    display: flex;
    align-items: center;
    justify-content: center;
    cursor: pointer;
    white-space: nowrap;
    @media #{$mq-phone} {
      display: none;
    }

    svg {
      width: 30px;
      height: 30px;
      fill: none;
      stroke: $bg;
      stroke-width: 10px;
    }

    p {
      margin-left: 5px;
      color: $bg;
      font-weight: 500;
      font-style: italic;
      text-transform: uppercase;
    }
  }
}
